Bug 176215 - sysutils/py-salt-cloud - maintainer update
Summary: sysutils/py-salt-cloud - maintainer update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-17 20:50 UTC by Christer Edwards
Modified: 2013-03-22 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.21 KB, patch)
2013-02-17 20:50 UTC, Christer Edwards
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2013-02-17 20:50:00 UTC
sysutils/py-salt-cloud maintainer update

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-17 20:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-02-18 02:18:32 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 Martin Wilke freebsd_committer 2013-03-14 22:57:27 UTC
Responsible Changed
From-To: freebsd-python->miwi

take
Comment 4 Martin Wilke freebsd_committer 2013-03-14 22:58:06 UTC
State Changed
From-To: closed->open

reopen.
Comment 5 Frederic Culot freebsd_committer 2013-03-22 08:30:37 UTC
State Changed
From-To: open->closed

Committed with ports/176923.
Comment 6 dfilter service freebsd_committer 2013-03-22 08:33:43 UTC
Author: culot
Date: Fri Mar 22 08:29:37 2013
New Revision: 314895
URL: http://svnweb.freebsd.org/changeset/ports/314895

Log:
  - Update to 0.8.6
  
  PR:		ports/176215
  PR:		ports/176923
  Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer)

Modified:
  head/sysutils/py-salt-cloud/Makefile
  head/sysutils/py-salt-cloud/distinfo
  head/sysutils/py-salt-cloud/files/patch-setup.py
  head/sysutils/py-salt-cloud/pkg-plist

Modified: head/sysutils/py-salt-cloud/Makefile
==============================================================================
--- head/sysutils/py-salt-cloud/Makefile	Fri Mar 22 08:16:07 2013	(r314894)
+++ head/sysutils/py-salt-cloud/Makefile	Fri Mar 22 08:29:37 2013	(r314895)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	salt-cloud
-PORTVERSION=	0.8.4
+PORTVERSION=	0.8.6
 CATEGORIES=	sysutils python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -21,12 +21,11 @@ SUB_LIST+=	PYTHON_CMD=${PYTHON_CMD}
 MAN1=		salt-cloud.1
 MAN7=		salt-cloud.7
 
-BUILD_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}salt>0:${PORTSDIR}/sysutils/py-salt \
+BUILD_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}salt>=0.13.0:${PORTSDIR}/sysutils/py-salt \
 		${PYTHON_PKGNAMEPREFIX}yaml>=0:${PORTSDIR}/devel/py-yaml \
-		${PYTHON_PKGNAMEPREFIX}libcloud>=0:${PORTSDIR}/net/py-libcloud \
-		${PYTHON_PKGNAMEPREFIX}paramiko>=0:${PORTSDIR}/security/py-paramiko \
-
-RUN_DEPENDS:=	${BUILD_DEPENDS}
+		${PYTHON_PKGNAMEPREFIX}libcloud>=0.11.4:${PORTSDIR}/net/py-libcloud \
+		${PYTHON_PKGNAMEPREFIX}botocore>=0:${PORTSDIR}/devel/py-botocore \
+		sshpass>=0:${PORTSDIR}/security/sshpass
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/setup.py

Modified: head/sysutils/py-salt-cloud/distinfo
==============================================================================
--- head/sysutils/py-salt-cloud/distinfo	Fri Mar 22 08:16:07 2013	(r314894)
+++ head/sysutils/py-salt-cloud/distinfo	Fri Mar 22 08:29:37 2013	(r314895)
@@ -1,2 +1,2 @@
-SHA256 (salt-cloud-0.8.4.tar.gz) = 376c0cbb0667a54c5ef1a5913bef6a61d72f7dbbe5bf24cabcd4894b66eeaf6a
-SIZE (salt-cloud-0.8.4.tar.gz) = 70189
+SHA256 (salt-cloud-0.8.6.tar.gz) = daa9f5f2cdef8d66a590c29b4058790eebb45582f270d0da2e1eeb4e8757e671
+SIZE (salt-cloud-0.8.6.tar.gz) = 109341

Modified: head/sysutils/py-salt-cloud/files/patch-setup.py
==============================================================================
--- head/sysutils/py-salt-cloud/files/patch-setup.py	Fri Mar 22 08:16:07 2013	(r314894)
+++ head/sysutils/py-salt-cloud/files/patch-setup.py	Fri Mar 22 08:29:37 2013	(r314895)
@@ -1,14 +1,13 @@
---- work/salt-cloud-0.6.0/setup.py	2012-07-13 11:50:56.000000000 -0600
-+++ setup.py	2012-07-16 13:07:15.901865171 -0600
-@@ -45,9 +45,9 @@
+--- setup.py	2013-03-13 11:37:54.772115975 -0600
++++ setup.py	2013-03-13 11:38:21.415251065 -0600
+@@ -67,8 +67,8 @@
        package_data={
-           'saltcloud': ['deploy/*'],
+           'saltcloud': ['deploy/*.sh'],
            },
--      data_files=[('share/man/man1',
-+      data_files=[('man/man1',
-                      ['doc/man/salt-cloud.1']),
--                     ('share/man/man7',
-+                     ('man/man7',
-                      ['doc/man/salt-cloud.7'])],
+-      data_files=[('share/man/man1', ['doc/man/salt-cloud.1']),
+-                  ('share/man/man7', ['doc/man/salt-cloud.7'])
++      data_files=[('man/man1', ['doc/man/salt-cloud.1']),
++                  ('man/man7', ['doc/man/salt-cloud.7'])
+                   ],
        scripts=['scripts/salt-cloud'],
-      )
+       **setup_kwargs

Modified: head/sysutils/py-salt-cloud/pkg-plist
==============================================================================
--- head/sysutils/py-salt-cloud/pkg-plist	Fri Mar 22 08:16:07 2013	(r314894)
+++ head/sysutils/py-salt-cloud/pkg-plist	Fri Mar 22 08:29:37 2013	(r314895)
@@ -11,9 +11,15 @@ bin/salt-cloud
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/__init__.py
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/__init__.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/__init__.pyo
-%%PYTHON_SITELIBDIR%%/saltcloud/clouds/aws.py
-%%PYTHON_SITELIBDIR%%/saltcloud/clouds/aws.pyc
-%%PYTHON_SITELIBDIR%%/saltcloud/clouds/aws.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/botocore_aws.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/botocore_aws.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/botocore_aws.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/libcloud_aws.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/libcloud_aws.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/libcloud_aws.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/ec2.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/ec2.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/ec2.pyo
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.py
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.pyo
@@ -39,7 +45,7 @@ bin/salt-cloud
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Arch.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Debian-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Debian.sh
-%%PYTHON_SITELIBDIR%%/saltcloud/deploy/bootstrap-salt-minion.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/bootstrap-salt.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/curl-bootstrap-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/curl-bootstrap.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Fedora-git.sh
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"